The execution of the file 'gcyclelin.sce'into Scilab demonstrates the
capability of multi-level parameterization methods for a model shape 
optimization problem.

The problem consists in reconstructing a target curve using a Bezier 
parameterization (See J.-A. Désidéri, J.-P. Zolésio.
"Inverse Shape Optimization Problems and Application to Airfoils", in: Control and Cybernatics, 2005, vol. 34, no 1.)

The user can choose :

- the steepest descent method or quasi-Newton method.
- the classical "Y" formulation or the advanced "Z" formulation for 
the multi-level parameterization approach.
- the number of cycles.
- the degree and iteration number for each level;


As output :

- a plot of initial, final (for single and multi-level) and target Bezier curves.
- a plot of error curves.
- a convergence plot.

